import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotAccessRecord/` + url, ...arg)

/**
 * 进出场记录表Api接口管理器
 *
 * @author xiang
 * @date  2023/10/23 16:28
 **/
export default {
	// 获取进出场记录表分页
	depotAccessRecordPage(data) {
		return request('page', data, 'get')
	},
	// 获取进出场记录表列表
	depotAccessRecordList(data) {
		return request('list', data, 'get')
	},
	// 提交进出场记录表表单 edit为true时为编辑，默认为新增
	depotAccessRecordSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除进出场记录表
	depotAccessRecordDelete(data) {
		return request('delete', data)
	},
	// 获取进出场记录表详情
	depotAccessRecordDetail(data) {
		return request('detail', data, 'get')
	}
}
